Page MenuHomeFreeBSD

security/ccrypt: Update to 1.11
ClosedPublic

Authored by fernape on Sep 9 2018, 6:07 PM.
Tags
None
Referenced Files
F81698319: D17098.diff
Sat, Apr 20, 3:11 AM
Unknown Object (File)
Fri, Apr 5, 1:50 AM
Unknown Object (File)
Dec 28 2023, 6:58 PM
Unknown Object (File)
Dec 28 2023, 6:58 PM
Unknown Object (File)
Dec 28 2023, 6:54 PM
Unknown Object (File)
Dec 25 2023, 8:24 PM
Unknown Object (File)
Dec 21 2023, 2:33 PM
Unknown Object (File)
Nov 5 2023, 10:59 PM
Subscribers

Details

Summary

Also, apply some changes to the order of variables and simplify
installation of documentation

Test Plan
  • portlint -AC OK
  • poudriere builds for {10.4,11.1}{amd64,i386}, 12i386 OK
  • run test in 11.2amd64 OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 19482
Build 19075: arc lint + arc unit

Event Timeline

This revision is now accepted and ready to land.Sep 9 2018, 7:21 PM
This revision was automatically updated to reflect the committed changes.
head/security/ccrypt/Makefile
7 ↗(On Diff #47845)

Default, keep SF.

head/security/ccrypt/Makefile
7 ↗(On Diff #47845)

Hi mat, I don't have access to my box now, but I remember I kept SF and it didn't fetch.

I'll be able to test this again this evening

head/security/ccrypt/Makefile
7 ↗(On Diff #47845)

With SF/${PORTNAME}/${DISTVERSION}/

=> Attempting to fetch https://downloads.sourceforge.net/project/ccrypt/1.11/ccrypt-1.11.tar.gz
ccrypt-1.11.tar.gz                            100% of  815 kB 1922 kBps 00m01s
===> Fetching all distfiles required by ccrypt-1.11 for building

With SF

===>  License GPLv2 accepted by the user
===>   ccrypt-1.11 depends on file: /usr/local/sbin/pkg - found
=> ccrypt-1.11.tar.gz doesn't seem to exist in /usr/home/fernape/FreeBSD-repos/ports/head/distfiles/.
=> Attempting to fetch https://downloads.sourceforge.net/project/ccrypt/ccrypt/1.11/ccrypt-1.11.tar.gz
fetch: https://downloads.sourceforge.net/project/ccrypt/ccrypt/1.11/ccrypt-1.11.tar.gz: Not Found
[snip]

It keeps cycling over all the SF sites without success.

Note the double ccrypt/ccrypt. I have a ports tree very updated (r479334)

In previous port version (1.10), this is what I get (it used SF only):

===>  License GPLv2 accepted by the user
===>   ccrypt-1.10_1 depends on file: /usr/local/sbin/pkg - found
=> ccrypt-1.10.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://downloads.sourceforge.net/project/ccrypt/ccrypt/1.10/ccrypt-1.10.tar.gz
fetch: https://downloads.sourceforge.net/project/ccrypt/ccrypt/1.10/ccrypt-1.10.tar.gz: Not Found
=> Attempting to fetch https://cytranet.dl.sourceforge.net/project/ccrypt/ccrypt/1.10/ccrypt-1.10.tar.gz
fetch: https://cytranet.dl.sourceforge.net/project/ccrypt/ccrypt/1.10/ccrypt-1.10.tar.gz: Not Found
=> Attempting to fetch https://excellmedia.dl.sourceforge.net/project/ccrypt/ccrypt/1.10/ccrypt-1.10.tar.gz
ccrypt-1.10.tar.gz                            100% of  653 kB  246 kBps 00m02s
===> Fetching all distfiles required by ccrypt-1.10_1 for building
head/security/ccrypt/Makefile
7 ↗(On Diff #47845)

Mmmm, yes, sorry, I had forgotten the "default" sourceforge scheme has the port name twice in the path. Sorry about it ^^.